| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::AlbumIterator Class Reference

Iterate over all children of this Album. More...

## Public Member Functions
| AlbumIterator (Album *const album)
Album * | current () const
Album * | operator* ()
AlbumIterator & | operator++ ()

## Detailed Description

Note
  It will not include the specified album

Example usage:

AlbumIterator it(album);
while ( it.current() )
{
qCDebug(DIGIKAM_GENERAL_LOG) << "Album: " << it.current()->title();
++it;
}

Warning
  Do not delete albums using this iterator.